--Australian extended lookup tables
--table ext_lookup.au_address
--drop table ext_lookup.au_addresses;
create schema ext_lookup;
create table ext_lookup.au_addresses (
    seq int generated always as identity
                  (start with -4, increment by 1),
    address1 varchar(50) not null,
    address2 varchar(50),
    locality varchar(28),
    city     varchar(40) not null,
    postcode char(8) not null);
alter table ext_lookup.au_addresses add constraint ext_lookup.uau_addresses
                                unique (address1,
                                city,
                                postcode);

create unique index ext_lookup.xauaddrpk
   on ext_lookup.au_addresses
   (seq  asc);
alter table ext_lookup.au_addresses
   add primary key
   (seq);


--table ext_lookup.au_person
--drop table ext_lookup.au_person;
create table ext_lookup.au_person (
    seq int generated always as identity
                  (start with -4, increment by 1),
    id char(6),
    firstname varchar(30) not null,
    lastname varchar(30) not null,
    company varchar(40),
    nationalid varchar(11),
    sex char(1) not null,
    phone varchar(14) not null,
    birthdate date  not null,
    email_address varchar(50));
alter table ext_lookup.au_person add constraint ext_lookup.uau_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index ext_lookup.xaupersonpk
   on ext_lookup.au_person
   (seq  asc);
alter table ext_lookup.au_person
   add primary key
   (seq);

--table ext_lookup.au_firstname
--drop table ext_lookup.au_firstname;
create table ext_lookup.au_firstname (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);
alter table ext_lookup.au_firstname add constraint ext_lookup.uau_firstname
                                unique (firstname);

create unique index ext_lookup.xaufirstnamepk
   on ext_lookup.au_firstname
   (seq asc);
alter table ext_lookup.au_firstname
   add primary key
   (seq);


--table ext_lookup.au_firstnamef
--drop table ext_lookup.au_firstname_f;
create table ext_lookup.au_firstname_f (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);
alter table ext_lookup.au_firstname_f add constraint ext_lookup.uau_firstnamef
                                unique (firstname);

create unique index ext_lookup.xaufirstnamefpk
   on ext_lookup.au_firstname_f
   (seq asc);
alter table ext_lookup.au_firstname_f
   add primary key
   (seq);


--table ext_lookup.au_firstnamem
--drop table ext_lookup.au_firstname_m;
create table ext_lookup.au_firstname_m (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);
alter table ext_lookup.au_firstname_m add constraint ext_lookup.uau_firstnamem
                                unique (firstname);

create unique index ext_lookup.xaufirstnamempk
   on ext_lookup.au_firstname_m
   (seq asc);
alter table ext_lookup.au_firstname_m
   add primary key
   (seq);


--table ext_lookup.au_lastname
--drop table ext_lookup.au_lastname;
create table ext_lookup.au_lastname (
    seq int generated always as identity
                  (start with -4, increment by 1),
    lastname varchar(30) not null);
alter table ext_lookup.au_lastname add constraint ext_lookup.uau_lastname
                                unique (lastname);

create unique index ext_lookup.xaulastnamepk
   on ext_lookup.au_lastname
   (seq asc);
alter table ext_lookup.au_lastname
   add primary key
   (seq);


--------------------------------------------------------------------------------
--Canadian extended lookup tables
--table ext_lookup.ca_address
--drop table ext_lookup.ca_addresses;
create table ext_lookup.ca_addresses (
 seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 city     varchar(40)not null,
 postcode char(8)not null);
alter table ext_lookup.ca_addresses add constraint ext_lookup.uca_addresses
                                unique (address1,
                                city,
                                postcode);

create unique index ext_lookup.xcaaddrpk
   on ext_lookup.ca_addresses
   (seq  asc);
alter table ext_lookup.ca_addresses
   add primary key
   (seq);

--table ext_lookup.ca_person
--drop table ext_lookup.ca_person;
create table ext_lookup.ca_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(13) not null,
  birthdate date not null,
  email_address varchar(50));
alter table ext_lookup.ca_person add constraint ext_lookup.uca_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index ext_lookup.xcapersonpk
   on ext_lookup.ca_person
   (seq  asc);
alter table ext_lookup.ca_person
   add primary key
   (seq);

--table ext_lookup.ca_firstname
--drop table ext_lookup.ca_firstname;
create table ext_lookup.ca_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.ca_firstname add constraint ext_lookup.uca_firstname
                                unique (firstname);

create unique index ext_lookup.xcafirstnamepk
   on ext_lookup.ca_firstname
   (seq asc);
alter table ext_lookup.ca_firstname
   add primary key
   (seq);


--table ext_lookup.ca_firstnamef
--drop table ext_lookup.ca_firstname_f;
create table ext_lookup.ca_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.ca_firstname_f add constraint ext_lookup.uca_firstnamef
                                        unique (firstname);

create unique index ext_lookup.xcafirstnamefpk
   on ext_lookup.ca_firstname_f
   (seq asc);
alter table ext_lookup.ca_firstname_f
   add primary key
   (seq);


--table ext_lookup.ca_firstnamem
--drop table ext_lookup.ca_firstname_m;
create table ext_lookup.ca_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30)not null);
alter table ext_lookup.ca_firstname_m add constraint ext_lookup.uca_firstnamem
                                        unique (firstname);

create unique index ext_lookup.xcafirstnamempk
   on ext_lookup.ca_firstname_m
   (seq asc);
alter table ext_lookup.ca_firstname_m
   add primary key
   (seq);


--table ext_lookup.ca_lastname
--drop table ext_lookup.ca_lastname;
create table ext_lookup.ca_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);
alter table ext_lookup.ca_lastname add constraint ext_lookup.uca_lastname
                                                unique (lastname);

create unique index ext_lookup.xcalastnamepk
   on ext_lookup.ca_lastname
   (seq asc);
alter table ext_lookup.ca_lastname
   add primary key
   (seq);


--------------------------------------------------------------------------------
--French extended lookup tables
--table ext_lookup.fr_address
--drop table ext_lookup.fr_addresses;
create table ext_lookup.fr_addresses (
 seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50)not null,
 address2 varchar(50),
 locality varchar(28),
 posttown varchar(40)not null,
 postcode char(8) not null);
alter table ext_lookup.fr_addresses add constraint ext_lookup.ufr_addresses
                                unique (address1,
                                posttown,
                                postcode);

create unique index ext_lookup.xfraddrpk
   on ext_lookup.fr_addresses
   (seq  asc);
alter table ext_lookup.fr_addresses
   add primary key
   (seq);


--table ext_lookup.fr_person
--drop table ext_lookup.fr_person;
create table ext_lookup.fr_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11) ,
  sex char(1) not null,
  phone varchar(14) not null,
  birthdate date not null,
  email_address varchar(50));
alter table ext_lookup.fr_person add constraint ext_lookup.ufr_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index ext_lookup.xfrpersonpk
   on ext_lookup.fr_person
   (seq  asc);
alter table ext_lookup.fr_person
   add primary key
   (seq);

--table ext_lookup.fr_firstname
--drop table ext_lookup.fr_firstname;
create table ext_lookup.fr_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.fr_firstname add constraint ext_lookup.ufr_firstname
                                unique (firstname);

create unique index ext_lookup.xfrfirstnamepk
   on ext_lookup.fr_firstname
   (seq asc);
alter table ext_lookup.fr_firstname
   add primary key
   (seq);


--table ext_lookup.fr_firstnamef
--drop table ext_lookup.fr_firstname_f;
create table ext_lookup.fr_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.fr_firstname_f add constraint ext_lookup.ufr_firstnamef
                                        unique (firstname);

create unique index ext_lookup.xfrfirstnamefpk
   on ext_lookup.fr_firstname_f
   (seq asc);
alter table ext_lookup.fr_firstname_f
   add primary key
   (seq);


--table ext_lookup.fr_firstname
--drop table ext_lookup.fr_firstname_m;
create table ext_lookup.fr_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.fr_firstname_m add constraint ext_lookup.ufr_firstnamem
                                        unique (firstname);

create unique index ext_lookup.xfrfirstnamempk
   on ext_lookup.fr_firstname_m
   (seq asc);
alter table ext_lookup.fr_firstname_m
   add primary key
   (seq);

--table ext_lookup.fr_lastname
--drop table ext_lookup.fr_lastname;
create table ext_lookup.fr_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);
alter table ext_lookup.fr_lastname add constraint ext_lookup.ufr_lastname
                                        unique (lastname);

create unique index ext_lookup.xfrlastnamepk
   on ext_lookup.fr_lastname
   (seq asc);
alter table ext_lookup.fr_lastname
   add primary key
   (seq);


--------------------------------------------------------------------------------
--German extended lookup tables
--table ext_lookup.de_address
--drop table ext_lookup.de_addresses;
create table ext_lookup.de_addresses (
  seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 city     varchar(40)not null,
 postcode char(8)not null);
alter table ext_lookup.de_addresses add constraint ext_lookup.ude_addresses
                                unique (address1,
                                city,
                                postcode);

create unique index ext_lookup.xdeaddrpk
   on ext_lookup.de_addresses
   (seq  asc);
alter table ext_lookup.de_addresses
   add primary key
   (seq);


--table ext_lookup.de_person
--drop table ext_lookup.de_person;
create table ext_lookup.de_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(14) not null,
  birthdate date not null,
  email_address varchar(50));
alter table ext_lookup.de_person add constraint ext_lookup.ude_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index ext_lookup.xdepersonpk
   on ext_lookup.de_person
   (seq  asc);
alter table ext_lookup.de_person
   add primary key
   (seq);

--table ext_lookup.de_firstname
--drop table ext_lookup.de_firstname;
create table ext_lookup.de_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.de_firstname add constraint ext_lookup.ude_firstname
                                        unique (firstname);

create unique index ext_lookup.xdefirstnamepk
   on ext_lookup.de_firstname
   (seq asc);
alter table ext_lookup.de_firstname
   add primary key
   (seq);


--table ext_lookup.de_firstnamef
--drop table ext_lookup.de_firstname_f;
create table ext_lookup.de_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.de_firstname_f add constraint ext_lookup.ude_firstnamef
                                        unique (firstname);

create unique index ext_lookup.xdefirstnamefpk
   on ext_lookup.de_firstname_f
   (seq asc);
alter table ext_lookup.de_firstname_f
   add primary key
   (seq);


--table ext_lookup.de_firstname
--drop table ext_lookup.de_firstname_m;
create table ext_lookup.de_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.de_firstname_m add constraint ext_lookup.ude_firstnamem
                                        unique (firstname);

create unique index ext_lookup.xdefirstnamempk
   on ext_lookup.de_firstname_m
   (seq asc);
alter table ext_lookup.de_firstname_m
   add primary key
   (seq);


--table ext_lookup.de_lastname
--drop table ext_lookup.de_lastname;
create table ext_lookup.de_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);
alter table ext_lookup.de_lastname add constraint ext_lookup.ude_lastname
                                        unique (lastname);
create unique index ext_lookup.xdelastnamepk
   on ext_lookup.de_lastname
   (seq asc);
alter table ext_lookup.de_lastname
   add primary key
   (seq);


--------------------------------------------------------------------------------

--Spanish extended lookup tables
--table ext_lookup.es_address
--drop table ext_lookup.es_addresses;
create table ext_lookup.es_addresses (
 seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 city     varchar(40) not null,
 postcode char(8) not null);
alter table ext_lookup.es_addresses add constraint ext_lookup.ues_addresses
                                unique (address1,
                                city,
                                postcode);

create unique index ext_lookup.xesaddrpk
   on ext_lookup.es_addresses
   (seq  asc);
alter table ext_lookup.es_addresses
   add primary key
   (seq);


--table ext_lookup.es_person
--drop table ext_lookup.es_person;
create table ext_lookup.es_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1)  not null,
  phone varchar(14),
  birthdate date not null,
  email_address varchar(50));
alter table ext_lookup.es_person add constraint ext_lookup.ues_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                birthdate);

create unique index ext_lookup.xespersonpk
   on ext_lookup.es_person
   (seq  asc);
alter table ext_lookup.es_person
   add primary key
   (seq);

--table ext_lookup.es_firstname
--drop table ext_lookup.es_firstname;
create table ext_lookup.es_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.es_firstname add constraint ext_lookup.ues_firstname
                                        unique (firstname);

create unique index ext_lookup.xesfirstnamepk
   on ext_lookup.es_firstname
   (seq asc);
alter table ext_lookup.es_firstname
   add primary key
   (seq);


--table ext_lookup.es_firstnamef
--drop table ext_lookup.es_firstname_f;
create table ext_lookup.es_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.es_firstname_f add constraint ext_lookup.ues_firstnamef
                                        unique (firstname);

create unique index ext_lookup.xesfirstnamefpk
   on ext_lookup.es_firstname_f
   (seq asc);
alter table ext_lookup.es_firstname_f
   add primary key
   (seq);


--table ext_lookup.es_firstname
--drop table ext_lookup.es_firstname_m;
create table ext_lookup.es_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.es_firstname_m add constraint ext_lookup.ues_firstnamem
                                        unique (firstname);

create unique index ext_lookup.xesfirstnamempk
   on ext_lookup.es_firstname_m
   (seq asc);
alter table ext_lookup.es_firstname_m
   add primary key
   (seq);


--table ext_lookup.es_lastname
--drop table ext_lookup.es_lastname;
create table ext_lookup.es_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);
alter table ext_lookup.es_lastname add constraint ext_lookup.ues_lastname
                                        unique (lastname);

create unique index ext_lookup.xeslastnamepk
   on ext_lookup.es_lastname
   (seq asc);
alter table ext_lookup.es_lastname
   add primary key
   (seq);


--------------------------------------------------------------------------------

--Italian extended lookup tables
--table ext_lookup.it_address
--drop table ext_lookup.it_addresses;
create table ext_lookup.it_addresses (
 seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 posttown varchar(40)not null,
 postcode char(8) not null);
alter table ext_lookup.it_addresses add constraint ext_lookup.uit_addresses
                                unique (address1,
                                posttown,
                                postcode);

create unique index ext_lookup.xitaddrpk
   on ext_lookup.it_addresses
   (seq  asc);
alter table ext_lookup.it_addresses
   add primary key
   (seq);


--table ext_lookup.it_person
--drop table ext_lookup.it_person;
create table ext_lookup.it_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(16),
  sex char(1) not null,
  phone varchar(12) not null,
  birthdate date not null,
  email_address varchar(50));
alter table ext_lookup.it_person add constraint ext_lookup.uit_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index ext_lookup.xitpersonpk
   on ext_lookup.it_person
   (seq  asc);
alter table ext_lookup.it_person
   add primary key
   (seq);

--table ext_lookup.it_firstname
--drop table ext_lookup.it_firstname;
create table ext_lookup.it_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.it_firstname add constraint ext_lookup.uit_firstname
                                        unique (firstname);

create unique index ext_lookup.xitfirstnamepk
   on ext_lookup.it_firstname
   (seq asc);
alter table ext_lookup.it_firstname
   add primary key
   (seq);


--table ext_lookup.it_firstnamef
--drop table ext_lookup.it_firstname_f;
create table ext_lookup.it_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.it_firstname_f add constraint ext_lookup.uit_firstnamef
                                        unique (firstname);

create unique index ext_lookup.xitfirstnamefpk
   on ext_lookup.it_firstname_f
   (seq asc);
alter table ext_lookup.it_firstname_f
   add primary key
   (seq);


--table ext_lookup.it_firstname
--drop table ext_lookup.it_firstname_m;
create table ext_lookup.it_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.it_firstname_m add constraint ext_lookup.uit_firstnamem
                                        unique (firstname);

create unique index ext_lookup.xitfirstnamempk
   on ext_lookup.it_firstname_m
   (seq asc);
alter table ext_lookup.it_firstname_m
   add primary key
   (seq);


--table ext_lookup.it_lastname
--drop table ext_lookup.it_lastname;
create table ext_lookup.it_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);
alter table ext_lookup.it_lastname add constraint ext_lookup.uit_lastname
                                        unique (lastname);

create unique index ext_lookup.xitlastnamepk
   on ext_lookup.it_lastname
   (seq asc);
alter table ext_lookup.it_lastname
   add primary key
   (seq);

--------------------------------------------------------------------------------
--table ext_lookup.us_address
--drop table ext_lookup.us_addresses;
create table ext_lookup.us_addresses (
  seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 city varchar(40) not null,
 state char(2) not null,
 zipcode char(5) not null,
 zipplus4 char(4) not null);
alter table ext_lookup.us_addresses add constraint ext_lookup.uus_addresses
                                unique (address1,
                                city,
                                state,
                                zipcode,
                                zipplus4);

create unique index ext_lookup.xusaddrpk
   on ext_lookup.us_addresses
   (seq  asc);
alter table ext_lookup.us_addresses
   add primary key
   (seq);


--table ext_lookup.us_person
--drop table ext_lookup.us_person;
create table ext_lookup.us_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  ssn varchar(11),
  sex char(1) not null,
  phone varchar(12) not null,
  birthdate date not null,
  email_address varchar(50));
alter table ext_lookup.us_person add constraint ext_lookup.uus_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index ext_lookup.xuspersonpk
   on ext_lookup.us_person
   (seq  asc);
alter table ext_lookup.us_person
   add primary key
   (seq);

--table ext_lookup.us_firstname
--drop table ext_lookup.us_firstname;
create table ext_lookup.us_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.us_firstname add constraint ext_lookup.uus_firstname
                                        unique (firstname);

create unique index ext_lookup.xusfirstnamepk
   on ext_lookup.us_firstname
   (seq asc);
alter table ext_lookup.us_firstname
   add primary key
   (seq);


--table ext_lookup.us_firstnamef
--drop table ext_lookup.us_firstname_f;
create table ext_lookup.us_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.us_firstname_f add constraint ext_lookup.uus_firstnamef
                                        unique (firstname);

create unique index ext_lookup.xusfirstnamefpk
   on ext_lookup.us_firstname_f
   (seq asc);
alter table ext_lookup.us_firstname_f
   add primary key
   (seq);


--table ext_lookup.us_firstnamem
--drop table ext_lookup.us_firstname_m;
create table ext_lookup.us_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.us_firstname_m add constraint ext_lookup.uus_firstnamem
                                        unique (firstname);

create unique index ext_lookup.xusfirstnamempk
   on ext_lookup.us_firstname_m
   (seq asc);
alter table ext_lookup.us_firstname_m
   add primary key
   (seq);


--table ext_lookup.us_lastname
--drop table ext_lookup.us_lastname;
create table ext_lookup.us_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);
alter table ext_lookup.us_lastname add constraint ext_lookup.uus_lastname
                                        unique (lastname);

create unique index ext_lookup.xuslastnamepk
   on ext_lookup.us_lastname
   (seq asc);
alter table ext_lookup.us_lastname
   add primary key
   (seq);

--------------------------------------------------------------------------------

--table ext_lookup.uk_address
--drop table ext_lookup.uk_addresses;
create table ext_lookup.uk_addresses (
  seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50),
 locality varchar(28),
 posttown varchar(40) not null,
 postcode char(8) not null);
alter table ext_lookup.uk_addresses add constraint ext_lookup.uuk_addresses
                                unique (address1,
                                posttown,
                                postcode);

create unique index ext_lookup.xukaddrpk
   on ext_lookup.uk_addresses
   (seq  asc);
alter table ext_lookup.uk_addresses
   add primary key
   (seq);


--table ext_lookup.uk_person
--drop table ext_lookup.uk_person;
create table ext_lookup.uk_person (
  seq int generated always as identity
                (start with -4, increment by 1),
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(13) not null,
  birthdate date not null,
  email_address varchar(50));
alter table ext_lookup.uk_person add constraint ext_lookup.uuk_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);

create unique index ext_lookup.xukpersonpk
   on ext_lookup.uk_person
   (seq  asc);
alter table ext_lookup.uk_person
   add primary key
   (seq);

--table ext_lookup.uk_firstname
--drop table ext_lookup.uk_firstname;
create table ext_lookup.uk_firstname (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.uk_firstname add constraint ext_lookup.uuk_firstname
                                        unique (firstname);

create unique index ext_lookup.xukfirstnamepk
   on ext_lookup.uk_firstname
   (seq asc);
alter table ext_lookup.uk_firstname
   add primary key
   (seq);


--table ext_lookup.uk_firstnamef
--drop table ext_lookup.uk_firstname_f;
create table ext_lookup.uk_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.uk_firstname_f add constraint ext_lookup.uuk_firstnamef
                                        unique (firstname);

create unique index ext_lookup.xukfirstnamefpk
   on ext_lookup.uk_firstname_f
   (seq asc);
alter table ext_lookup.uk_firstname_f
   add primary key
   (seq);


--table ext_lookup.uk_firstname
--drop table ext_lookup.uk_firstname_m;
create table ext_lookup.uk_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1),
  firstname varchar(30) not null);
alter table ext_lookup.uk_firstname_m add constraint ext_lookup.uuk_firstnamem
                                        unique (firstname);

create unique index ext_lookup.xukfirstnamempk
   on ext_lookup.uk_firstname_m
   (seq asc);
alter table ext_lookup.uk_firstname_m
   add primary key
   (seq);


--table ext_lookup.uk_lastname
--drop table ext_lookup.uk_lastname;
create table ext_lookup.uk_lastname (
  seq int generated always as identity
                (start with -4, increment by 1),
  lastname varchar(30) not null);
alter table ext_lookup.uk_lastname add constraint ext_lookup.uuk_lastname
unique (lastname);

create unique index ext_lookup.xuklastnamepk
   on ext_lookup.uk_lastname
   (seq asc);
alter table ext_lookup.uk_lastname
   add primary key
   (seq);

--table ext_lookup.company
--drop table ext_lookup.company;
create table ext_lookup.company (
  seq int generated always as identity
                (start with -4, increment by 1),
   name varchar(50) not null);
alter table ext_lookup.company add constraint ext_lookup.u_company
                                        unique (name);

create unique index ext_lookup.xcompanypk
   on ext_lookup.company
   (seq asc);
alter table ext_lookup.company
   add primary key
   (seq);

--table ext_lookup.nationality
--drop table ext_lookup.nationality;
create table ext_lookup.nationality (
  seq int generated always as identity
                (start with -4, increment by 1),
   id varchar(20) not null);
alter table ext_lookup.nationality add constraint ext_lookup.u_nationality
                                        unique (id);

create unique index ext_lookup.xnationalitypk
   on ext_lookup.nationality
   (seq asc);
alter table ext_lookup.nationality
   add primary key
   (seq);

--table ext_lookup.domain_names
--drop table ext_lookup.domain_names;
create table ext_lookup.domain_names (
  seq int generated always as identity
                (start with -4, increment by 1),
   domain_name varchar(50) not null);
alter table ext_lookup.domain_names add constraint ext_lookup.u_domain_names
                                        unique (domain_name);

create unique index ext_lookup.xdomainnamespk
   on ext_lookup.domain_names
   (seq asc);
alter table ext_lookup.domain_names
   add primary key
   (seq);
--------------------------------------------------------------------------------

--Japanese extended lookup tables
--table ext_lookup.jp_address
--drop table ext_lookup.JP_ADDRESSES;
create table ext_lookup.JP_ADDRESSES
(
  seq int generated always as identity
              (start with -4, increment by 1),
  ZIPCODE CHAR(7) not null,
  PREFECTURE VARCHAR(12),
  CITY  VARCHAR(40) not null,
  ADDRESS1  VARCHAR(50) not null,
  ADDRESS2  VARCHAR(50)
);
alter table ext_lookup.jp_addresses add constraint ext_lookup.ujp_addresses
                              unique (address1,
                              city,
                              zipcode);

--drop table ext_lookup.JP_PERSON;
create table ext_lookup.JP_PERSON
(
  seq int generated always as identity
              (start with -4, increment by 1),
  ID CHAR(6),
  FIRSTNAME VARCHAR(30) not null,
  LASTNAME VARCHAR(30) not null,
  COMPANY VARCHAR(40),
  RESIDENTID CHAR(11),
  SEX CHAR(3) not null,
  PHONE CHAR(12) not null,
  BIRTHDATE DATE not null,
  EMAIL_ADDRESS VARCHAR(50)
);
alter table ext_lookup.jp_person add constraint ext_lookup.ujp_person
                              unique (
                              firstname,
                              lastname,
                              sex,
                              phone,
                              birthdate);

--drop table ext_lookup.JP_FIRSTNAME;
create table ext_lookup.JP_FIRSTNAME
(
  seq int generated always as identity
              (start with -4, increment by 1),
  FIRSTNAME VARCHAR(30) not null
);
alter table ext_lookup.jp_firstname add constraint ext_lookup.ujp_firstname
                                      unique (firstname);

--drop table ext_lookup.JP_FIRSTNAME_F;
create table ext_lookup.JP_FIRSTNAME_F
(
  seq int generated always as identity
              (start with -4, increment by 1),
  FIRSTNAME VARCHAR(30) not null
);
alter table ext_lookup.jp_firstname_f add constraint ext_lookup.ujp_firstnamef
                                      unique (firstname);

--drop table ext_lookup.JP_FIRSTNAME_M;
create table ext_lookup.JP_FIRSTNAME_M
(
  seq int generated always as identity
              (start with -4, increment by 1),
  FIRSTNAME VARCHAR(30)not null
);
alter table ext_lookup.jp_firstname_m add constraint ext_lookup.ujp_firstnamem
                                      unique (firstname);

--drop table ext_lookup.JP_LASTNAME;
create table ext_lookup.JP_LASTNAME
(
  seq int generated always as identity
              (start with -4, increment by 1),
  LASTNAME VARCHAR(30) not null
);
alter table ext_lookup.jp_lastname add constraint ext_lookup.ujp_lastname
                                      unique (lastname);

--table ext_lookup.jp_domain_names
--drop table ext_lookup.jp_domain_names;
create table ext_lookup.jp_domain_names (
  seq int generated always as identity
                (start with -4, increment by 1),
   domain_name varchar(50) not null);
alter table ext_lookup.jp_domain_names add constraint ext_lookup.ujp_domain_names
                                        unique (domain_name);
create unique index ext_lookup.jp_domainnamespk
   on ext_lookup.jp_domain_names
   (seq asc);
alter table ext_lookup.jp_domain_names
   add primary key
   (seq);

--------------------------------------------------------------------------------
-- Credit cards
--table ext_lookup.amex_ccn (american express)
--drop table ext_lookup.amex_ccn;
create table ext_lookup.amex_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue char(15) not null);
alter table ext_lookup.amex_ccn add constraint ext_lookup.u_amex
                                        unique (datavalue);

create unique index ext_lookup.xamexccnpk
   on ext_lookup.amex_ccn
   (seq asc);
alter table ext_lookup.amex_ccn
   add primary key
   (seq);

--table ext_lookup.mc_ccn (master card)
--drop table ext_lookup.mc_ccn;
create table ext_lookup.mc_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue char(16) not null);
alter table ext_lookup.mc_ccn add constraint ext_lookup.u_mc
                                        unique (datavalue);

create unique index ext_lookup.xmcccnpk
   on ext_lookup.mc_ccn
   (seq asc);
alter table ext_lookup.mc_ccn
   add primary key
   (seq);

--table ext_lookup.dc_ccn (diners club)
--drop table ext_lookup.dc_ccn;
create table ext_lookup.dc_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue char(14) not null);
alter table ext_lookup.dc_ccn add constraint ext_lookup.u_dc
                                        unique (datavalue);

create unique index ext_lookup.xdcccnpk
   on ext_lookup.dc_ccn
   (seq asc);
alter table ext_lookup.dc_ccn
   add primary key
   (seq);

--table ext_lookup.visa_ccn (VISA)
--drop table ext_lookup.visa_ccn;
create table ext_lookup.visa_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue varchar(16) not null);
alter table ext_lookup.visa_ccn add constraint ext_lookup.u_visa
                                        unique (datavalue);

create unique index ext_lookup.xvisaccnpk
   on ext_lookup.visa_ccn
   (seq asc);
alter table ext_lookup.visa_ccn
   add primary key
   (seq);

--table ext_lookup.discover_ccn
--drop table ext_lookup.disc_ccn;
create table ext_lookup.disc_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue char(16) not null);
alter table ext_lookup.disc_ccn add constraint ext_lookup.u_disc
                                        unique (datavalue);

create unique index ext_lookup.xdiscccnpk
   on ext_lookup.disc_ccn
   (seq asc);
alter table ext_lookup.disc_ccn
   add primary key
   (seq);

--table ext_lookup.jcb_ccn
--drop table ext_lookup.jcb_ccn;
create table ext_lookup.jcb_ccn (
  seq int generated always as identity
                (start with -4, increment by 1),
   datavalue varchar(16) not null);
alter table ext_lookup.jcb_ccn add constraint ext_lookup.u_jcb
                                        unique (datavalue);

create unique index ext_lookup.xjcbccnpk
   on ext_lookup.jcb_ccn
   (seq asc);
alter table ext_lookup.jcb_ccn
   add primary key
   (seq);




