
connect 'jdbc:derby://localhost:1527/C:\optimDB127\optim';
--Australian extended lookup tables
--table extended_lookup.au_address
drop table extended_lookup.au_addresses;
create table extended_lookup.au_addresses (
    seq int generated always as identity
                  (start with -4, increment by 1),
    address1 varchar(50) not null,
    address2 varchar(50) not null,
    locality varchar(28) not null,
    city     varchar(40) not null,
    postcode char(8) not null);
alter table extended_lookup.jp_addresses add constraint ujp_addresses
                                unique (address1,
                                city,
                                postcode);     

create unique index extended_lookup.xjpaddrpk
   on extended_lookup.jp_addresses
   (seq  asc);
alter table extended_lookup.jp_addresses
   add primary key
   (seq);   


--table extended_lookup.jp_person
drop table extended_lookup.jp_person;
create table extended_lookup.jp_person ( 
    seq int generated always as identity
                  (start with -4, increment by 1),
    id char(6),
    firstname varchar(30) not null,
    lastname varchar(30) not null,
    company varchar(40),
    nationalid varchar(11),
    sex char(1) not null,
    phone varchar(14) not null,
    birthdate date  not null,
    email_address varchar(50));
alter table extended_lookup.jp_person add constraint ujp_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);    

create unique index extended_lookup.xjppersonpk
   on extended_lookup.jp_person
   (seq  asc);
alter table extended_lookup.jp_person
   add primary key
   (seq);     

--table extended_lookup.jp_firstname 
drop table extended_lookup.jp_firstname;
create table extended_lookup.jp_firstname (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);
alter table extended_lookup.jp_firstname add constraint ujp_firstname  
                                unique (firstname);      

create unique index extended_lookup.xjpfirstnamepk
   on extended_lookup.jp_firstname
   (seq asc);
alter table extended_lookup.jp_firstname 
   add primary key
   (seq);


--table extended_lookup.au_firstnamef 
drop table extended_lookup.au_firstname_f;
create table extended_lookup.jp_firstname_f (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);
alter table extended_lookup.jp_firstname_f add constraint ujp_firstnamef  
                                unique (firstname);        

create unique index extended_lookup.xjpfirstnamefpk
   on extended_lookup.jp_firstname_f
   (seq asc);
alter table extended_lookup.jp_firstname_f 
   add primary key
   (seq);


--table extended_lookup.au_firstnamem 
drop table extended_lookup.au_firstname_m;
create table extended_lookup.jp_firstname_m (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);
alter table extended_lookup.jp_firstname_m add constraint ujp_firstnamem  
                                unique (firstname);        

create unique index extended_lookup.xjpfirstnamempk
   on extended_lookup.jp_firstname_m
   (seq asc);
alter table extended_lookup.jp_firstname_m 
   add primary key
   (seq);


--table extended_lookup.au_lastname 
drop table extended_lookup.au_lastname;
create table extended_lookup.jp_lastname (
    seq int generated always as identity
                  (start with -4, increment by 1),
    lastname varchar(30) not null);
alter table extended_lookup.jp_lastname add constraint ujp_lastname  
                                unique (lastname);        

create unique index extended_lookup.xjplastnamepk
   on extended_lookup.jp_lastname
   (seq asc);
alter table extended_lookup.jp_lastname 
   add primary key
   (seq);

